"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var nodemon = require("nodemon");
var config_1 = require("../config/config");
exports.default = {
    init: init
};
function init(scriptPath) {
    var path = scriptPath;
    var nodemonInstance = null;
    var stop = function () {
        if (nodemonInstance) {
            nodemonInstance.emit('quit');
        }
        nodemonInstance = null;
    };
    var start = function () {
        if (nodemonInstance) {
            stop();
        }
        nodemonInstance = nodemon({
            script: path,
            ignore: [path],
            watch: [],
            flags: [],
            stdout: false,
            nodeArgs: ["--debug=" + config_1.default.server.dev.debugPort]
        })
            .on('readable', function () {
            this.stdout.on('data', function (data) {
                if (!nodemonInstance)
                    return;
                process.stdout.write(data.toString());
            });
            this.stderr.on('data', function (data) {
                if (!nodemonInstance)
                    return;
                process.stdout.write(data.toString());
            });
        });
        process.on('uncaughtException', function (err) {
            console.log(err);
            nodemonInstance.emit('quit');
        });
    };
    return {
        start: start,
        stop: stop
    };
}
//# sourceMappingURL=nodeRunner.js.map